module Resque
  module Plugins
    module NotiFailure
      class Configuration
        attr_accessor :failure_name
        attr_accessor :failure_url
        attr_accessor :failure_message

        def failure_name
          @failure_name ||= 'resque'
        end

        def failure_message
          @failure_message ||= Proc.new {|payload| "#{payload['class'].to_s}\n#{payload['args'].inspect}" }
        end
      end
    end
  end
end
